Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfVerticalRelType

    java.lang.Object
      java.lang.Enum<OdfVerticalRelType>
          org.odftoolkit.odfdom.dom.type.style.OdfVerticalRelType

All Implemented Interfaces:
  Serializable, Comparable<OdfVerticalRelType>

    public enum OdfVerticalRelType

extends Enum<OdfVerticalRelType>

DOM implementation of OpenDocument attribute style:vertical-rel.

Enum Constant Summary
`BASELINE`
`CHAR`
`FRAME`
`FRAME_CONTENT`
`LINE`
`PAGE`
`PAGE_CONTENT`
`PARAGRAPH`
`PARAGRAPH_CONTENT`
`TEXT`

Method Summary
`static OdfVerticalRelType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfVerticalRelType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfVerticalRelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfVerticalRelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASELINE

    public static final OdfVerticalRelType BASELINE

### LINE

    public static final OdfVerticalRelType LINE

### PAGE_CONTENT

    public static final OdfVerticalRelType PAGE_CONTENT

### PARAGRAPH_CONTENT

    public static final OdfVerticalRelType PARAGRAPH_CONTENT

### FRAME_CONTENT

    public static final OdfVerticalRelType FRAME_CONTENT

### CHAR

    public static final OdfVerticalRelType CHAR

### PAGE

    public static final OdfVerticalRelType PAGE

### PARAGRAPH

    public static final OdfVerticalRelType PARAGRAPH

### FRAME

    public static final OdfVerticalRelType FRAME

### TEXT

    public static final OdfVerticalRelType TEXT

Method Detail

### values

    public static OdfVerticalRelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfVerticalRelType c : OdfVerticalRelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfVerticalRelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfVerticalRelType>`
  Returns:
    return the name of OdfVerticalRelType

### toString

    public static String toString(OdfVerticalRelType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfVerticalRelType, see style:vertical-rel
  Returns:
    return the name of OdfVerticalRelType

### enumValueOf

    public static OdfVerticalRelType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfVerticalRelType
  Returns:
    return the constant of OdfVerticalRelType, see style:vertical-rel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.